package me.wazup.hideandseek.events;

import org.bukkit.entity.Player;
import java.util.List;
import org.bukkit.event.HandlerList;
import org.bukkit.event.Event;

public class HASArenaStartEvent extends Event
{
    private static final HandlerList handlers;
    String name;
    List<Player> players;
    
    public HASArenaStartEvent(final String name, final List<Player> players) {
        this.name = name;
        this.players = players;
    }
    
    public static HandlerList getHandlerList() {
        return HASArenaStartEvent.handlers;
    }
    
    public HandlerList getHandlers() {
        return HASArenaStartEvent.handlers;
    }
    
    public String getName() {
        return this.name;
    }
    
    public List<Player> getPlayers() {
        return this.players;
    }
    
    static {
        handlers = new HandlerList();
    }
}
